MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021774Open CASCADE[OCCT] OCCT:Visualizationpublic2010-06-10 15:092019-06-24 15:17
Reporterkgv 
Assigned Tokgv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 6.4.0 
Summary0021774: Selection mismatch representation
DescriptionCurrently computation of selection polygons implemented in different way than
for drawing. As result user selection mismatch due to difference between
represenations especially for long curves with high curvature.

Here is very old TODO in the code of StdSelect_BRepSelectionTool.cxx. This is
prefferred to use the same code for polygonization of the shapes in the drawing
and selection.
Additional information
and documentation updates
Documentation remark, added by KGV 2010-08-04 08:34:47:

Improvements:
The same code for polygonization of the curves in the drawing and in the
selection has been used.
Otherwise the difference between selection and drawing might become critical,
especially for long curves with high curvature.
TagsNo tags attached.
Test case number
Attached Filesgz file icon kgv-OCC21774-v1.tar.gz (16,185 bytes) 2010-06-15 17:02

- Relationships
parent of 0030805closedapn Visualization, StdSelect_BRepSelectionTool - empty sensitivity from polygon-only Edge 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-06-21 20:28 bugmaster Assigned To bugmaster => kgv
2010-06-21 20:28 bugmaster Status new => assigned
2010-06-21 20:28 bugmaster Status assigned => resolved
2010-06-21 20:29 mkv Status resolved => tested
2010-07-19 21:17 bugmaster Status tested => verified
2011-08-02 11:24 bugmaster Category OCCT:VIZ => OCCT:Visualization
2012-01-10 15:53 atp Description Updated View Revisions
2012-01-10 15:53 atp Additional Information Updated View Revisions
2019-06-24 15:17 kgv Relationship added parent of 0030805


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker